Page MenuHomePhabricator

Various pages (Special:Contributions, Special:WhatLinksHere) shows autocomplete / search suggestions dropdown on page load
Closed, ResolvedPublic

Description

Autocomplete on MediaWiki.org and other sites with future MediaWiki version deployed shows without prompt on initial page load. In MediaWiki version deployed in other projects, it only shows when user starts typing in the field.

Tested in Firefox 67, Windows 8.1, and Chrome 74, Windows 10.

Bug present in future MediaWiki alpha:

Not present in current alpha:

Details

Event Timeline

stjn created this task.May 28 2019, 9:43 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 28 2019, 9:43 PM
stjn renamed this task from Special:Contributions shows autocomplete on page load in to Special:Contributions shows autocomplete on page load.May 28 2019, 9:44 PM
SerDIDG added a subscriber: SerDIDG.
Aklapper added a subscriber: Fomafix.
Restricted Application added a project: Discovery-Search. · View Herald TranscriptMay 29 2019, 7:42 AM
Fomafix claimed this task.May 29 2019, 8:31 AM

Change 513064 had a related patch set uploaded (by Fomafix; owner: Fomafix):
[mediawiki/core@master] jquery.suggestions: Do not show suggestions on prefilled values

https://gerrit.wikimedia.org/r/513064

matmarex renamed this task from Special:Contributions shows autocomplete on page load to Various pages (Special:Contributions, Special:WhatLinksHere) shows autocomplete / search suggestions dropdown on page load.May 29 2019, 7:06 PM

Change 513064 merged by jenkins-bot:
[mediawiki/core@master] jquery.suggestions: Do not show suggestions on prefilled values

https://gerrit.wikimedia.org/r/513064

Change 513237 had a related patch set uploaded (by Fomafix; owner: Fomafix):
[mediawiki/core@wmf/1.34.0-wmf.7] jquery.suggestions: Do not show suggestions on prefilled values

https://gerrit.wikimedia.org/r/513237

zeljkofilipin triaged this task as Unbreak Now! priority.May 30 2019, 8:52 AM

Train blockers are unbreak now priority.

Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptMay 30 2019, 8:52 AM

@stjn @Fomafix @Mainframe98 @Krinkle @matmarex Is this still blocking the train? Will deploying 513237 during EU SWAT today resolve this?

If this is still blocking the train until 15:00 UTC today, the train will be blocked until Monday, since there are no deploys on Fridays.

1997kB added a subscriber: 1997kB.May 30 2019, 12:34 PM

Yes, that’s the only patch that’s needed. Could you merge it before rolling out the train?

Change 513237 merged by jenkins-bot:
[mediawiki/core@wmf/1.34.0-wmf.7] jquery.suggestions: Do not show suggestions on prefilled values

https://gerrit.wikimedia.org/r/513237

Mentioned in SAL (#wikimedia-operations) [2019-05-30T13:22:00Z] <zfilipin@deploy1001> Synchronized php-1.34.0-wmf.7/resources/src/jquery/jquery.suggestions.js: SWAT: [[gerrit:513237|jquery.suggestions: Do not show suggestions on prefilled values ([T224524])]] (duration: 00m 58s)

@matmarex I've merged and deployed the patch. I will continue with the train. Please check if the problem is resolved, and if so, please resolve this task.

It still happens when i use the general search field, enter something, select one of the suggestions, goto the page, then select the browsers back button et voila the suggestion window opens again. Firefox 60.7.0esr (32-Bit)

I can confirm the problem and it happens since rMW72f61f7a5930: jquery.suggestions: Trigger keypress on initializing and rMWfd5733830383: jquery.suggestions: Do not show suggestions on prefilled values. But it happens only on the general search field on Special:Search, not with the same general search field on other pages and not on other input fields with suggestions. This is strange.

Another strange behaviour in https://de.wiktionary.org/wiki/Spezial:Suche is, that the cursor is blinking in the big input field in the middle, but input appears in the field on the upper right.

Thank you. There seems to be some archaic code in Common.js.

The problem T224524#5228179 gets triggered by

OO.ui.infuse( $( '#searchText' ) )

I don't know what happens here.

The problem T224524#5228179 happens on all special pages using OOUI. This issue should tracked on a separate task.

I created T224952 for the problem described in T224524#5228179.